Loading...
Searching...
No Matches
smartlock::DoorAccessControl::KeypadCondition Struct Reference

A condition for keypads with a secret pin. More...

`import "DoorAccessControl.idl";`

## Public Attributes

boolean | enabled
| Condition is enabled.
string | pin
| Pin that has to be entered.
KeypadInfo | keypad
| The keypad that has to be used.

## Detailed Description

A condition for keypads with a secret pin.

Definition at line 84 of file DoorAccessControl.idl.

## Member Data Documentation

## enabled

boolean smartlock::DoorAccessControl::KeypadCondition::enabled

Condition is enabled.

Definition at line 85 of file DoorAccessControl.idl.

## keypad

KeypadInfo smartlock::DoorAccessControl::KeypadCondition::keypad

The keypad that has to be used.

Definition at line 87 of file DoorAccessControl.idl.

## pin

string smartlock::DoorAccessControl::KeypadCondition::pin

Pin that has to be entered.

Definition at line 86 of file DoorAccessControl.idl.

The documentation for this struct was generated from the following file:

- DoorAccessControl.idl